<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Slider;
use Illuminate\Http\Request;

class SlidersController extends Controller
{
    public function index()
    {
        $rows = Slider::all();
        return view('admin.sliders.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.sliders.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'image' => 'required|image'
        ]);
        Slider::create($request->all());
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('sliders.index');
    }

    public function edit($id)
    {
        $row = Slider::findOrFail($id);
        return view('admin.sliders.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'image' => 'nullable|image'
        ]);

        $slider = Slider::findOrFail($id);
        if ($request->hasFile('image')) $slider->setImageAttribute();
        $slider->update();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('sliders.index');
    }

    public function destroy($id)
    {
        Slider::destroy($id);
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('sliders.index');
    }
}
