@extends('admin.layout.master')
@section('title', 'الحسابات البنكية')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الحسابات البنكية</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('banks.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">اسم البنك</label>
                                <input type="text" class="form-control" value="{{old('bank_name')}}" required name="bank_name"
                                       id="exampleInputEmail1"
                                       placeholder="اسم البنك">
                                @if ($errors->has('bank_name'))
                                    <small class="text-danger">{{ $errors->first('bank_name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">اسم الحساب</label>
                                <input type="text" class="form-control" value="{{old('account_name')}}" required
                                       name="account_name"
                                       id="exampleInputEmail1"
                                       placeholder="اسم الحساب">
                                @if ($errors->has('account_name'))
                                    <small class="text-danger">{{ $errors->first('account_name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الحساب</label>
                                <input type="text" class="form-control" value="{{old('account_number')}}" required
                                       name="account_number"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الحساب">
                                @if ($errors->has('account_number'))
                                    <small class="text-danger">{{ $errors->first('account_number') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الايبان</label>
                                <input type="text" class="form-control" value="{{old('iban_number')}}" required
                                       name="iban_number"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الايبان">
                                @if ($errors->has('iban_number'))
                                    <small class="text-danger">{{ $errors->first('iban_number') }}</small>
                                @endif
                            </div>




                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">الصورة </h4>
                                        <input type="file" required name="image" class="dropify"
                                               data-height="200"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small
                                        class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>



                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
@section('scripts')
    <script>
           $("#exampleSelect1_to").on('change',function () {
                var select_to = $("#exampleSelect1_to").val();
                if (select_to == 'all'){
                    $("#users_select").hide();
                }else {
                    $("#users_select").show();

                }
        });
    </script>

@stop
