@extends('admin.layout.master')
@section('title', 'العقود')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">العقود</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('contracts.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')


                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم باللغة العربية</label>
                                <input type="text" class="form-control" value="{{$row->title['ar']}}" required
                                       name="title_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم باللغة العربية">
                                @if ($errors->has('title_ar'))
                                    <small class="text-danger">{{ $errors->first('title_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="{{$row->title['en']}}" required
                                       name="title_en"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم باللغة الإنجليزية">
                                @if ($errors->has('title_en'))
                                    <small class="text-danger">{{ $errors->first('title_en') }}</small>
                                @endif
                            </div>


                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">العقد</h4>
                                        <input type="file" name="file" class=""
                                               data-default-file="{{$row->file}}" data-height="300"/>
                                        @if($row->file) <a style="display: block; width: 80px; margin-top: 15px"
                                                           class="btn badge-info" href="{{$row->file}}">العقد</a>@endif
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('file'))
                                    <small class="text-danger">{{ $errors->first('file') }}</small>
                                @endif
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
